import React from 'react';

const ProgressBarTitle = ({ name }) => (
  <div>
    <div
      style={{
        position: 'absolute',
        left: '1%',
        width: 180,
        height: 42,
        border: '1px solid #ddd',
        background: 'rgba(255,255,255,.8)',
        textAlign: 'center',
      }}>
      <p style={{ fontSize: 26, fontWeight: 400 }}>{ name }</p>
    </div>
  </div>
);

ProgressBarTitle.propTypes = {
  name: React.PropTypes.string.isRequired,
};

export default ProgressBarTitle;
