/**
 * Created by farhad on 10.06.16.
 */
import _ from 'lodash';
import React from 'react';
import * as BS from 'react-bootstrap';

const StatusPopover = (props) => {
  const popover = (
     <BS.Popover id={status}>
       {
         _.map(props.counts, (cnt, status) => (
           <li key={status}>
             <span>{status}</span>: <strong>{cnt}</strong>
           </li>
         ))
       }
     </BS.Popover>
   );

  return (
     <BS.OverlayTrigger
       trigger={['hover', 'focus']}
       placement="bottom"
       overlay={popover}
     >
       {props.children}
     </BS.OverlayTrigger>
   );
};

export default StatusPopover;
