from flask_cache import Cache
from flask_debugtoolbar import DebugToolbarExtension
from flask_mongoengine import MongoEngine
from flask_oauthlib.client import OAuth
from flask_restful import Api
from flask_security import Security
from flask_mail import Mail
from flask_login import LoginManager
from flask_webpack import Webpack

toolbar = DebugToolbarExtension()
oauth = OAuth()
cache = Cache()
api = Api()
db = MongoEngine()
security = Security()
mail = Mail()
login_manager = LoginManager()
webpack = Webpack()
