import React from 'react';

const ProgressBarLabel = ({ percentage, part, total, ending }) =>
  <div style={{ fontSize: '15px', color: 'white' }}>
    <h2
      style={{ fontSize: '60px',
        fontWeight: 'bold',
        margin: '2px',
      textShadow: '0px 3px 0px rgba(0,0,0,0.3)' }}
    >{percentage}</h2>
    <p>{part} of {total} {ending}</p>
  </div>;

ProgressBarLabel.propTypes = {
  percentage: React.PropTypes.string,
  part: React.PropTypes.number,
  total: React.PropTypes.number,
  ending: React.PropTypes.string,
};

export default ProgressBarLabel;
