import unittest

from nose.tools import eq_

from qareporting import create_app


def check_content_type(headers):
    eq_(headers['Content-Type'], 'application/json')


class TestAuthUserAPI(unittest.TestCase):
    def setUp(self):
        self.app = create_app('testing').test_client()

    def test_api_unauthorized(self):
        resp = self.app.get('/api/v1.0/auth/user')
        eq_(resp.status_code, 401)
